'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _core = require('@material-ui/core');

var _itechartLogo = require('../../assets/images/itechart-logo.svg');

var _LinkWrapper = _interopRequireDefault(require('../LinkWrapper'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var useStyles = (0, _core.makeStyles)(function (_ref) {
    var palette = _ref.palette;
    return {
        primary: {
            fill: palette.text.primary
        },
        secondary: {
            fill: palette.text.secondary
        }
    };
});

var Logo = function Logo(_ref2) {
    var mode = _ref2.mode,
        size = _ref2.size;
    var classes = useStyles();
    var logoMode = classes[mode];
    return /*#__PURE__*/ _react.default.createElement(
        _LinkWrapper.default,
        null,
        /*#__PURE__*/ _react.default.createElement(_itechartLogo.ReactComponent, {
            className: logoMode,
            width: size
        })
    );
};

Logo.propTypes = {
    mode: _propTypes.default.string,
    size: _propTypes.default.number
};
Logo.defaultProps = {
    mode: 'primary',
    size: 80
};
var _default = Logo;
exports.default = _default;
