'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _clsx = _interopRequireDefault(require('clsx'));

var _LinkWrapper = _interopRequireDefault(require('../LinkWrapper'));

var _usePositionedStyles = require('../helpers/SharedStyles/usePositionedStyles');

var _excluded = ['position', 'padding', 'children', 'className', 'onClick', 'isLinkActive', 'colorOnHover'];

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _extends() {
    _extends =
        Object.assign ||
        function (target) {
            for (var i = 1; i < arguments.length; i++) {
                var source = arguments[i];
                for (var key in source) {
                    if (Object.prototype.hasOwnProperty.call(source, key)) {
                        target[key] = source[key];
                    }
                }
            }
            return target;
        };
    return _extends.apply(this, arguments);
}

function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function (sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}

function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};
        if (i % 2) {
            ownKeys(Object(source), true).forEach(function (key) {
                _defineProperty(target, key, source[key]);
            });
        } else if (Object.getOwnPropertyDescriptors) {
            Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
            ownKeys(Object(source)).forEach(function (key) {
                Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
            });
        }
    }
    return target;
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

var getFirstChild = function getFirstChild(children) {
    return children && children.length && children[0];
};

var getRestOfChildren = function getRestOfChildren(children) {
    return children && children.slice(1, children.length);
};

var PositionedLink = function PositionedLink(_ref) {
    var position = _ref.position,
        padding = _ref.padding,
        children = _ref.children,
        className = _ref.className,
        onClick = _ref.onClick,
        isLinkActive = _ref.isLinkActive,
        colorOnHover = _ref.colorOnHover,
        props = _objectWithoutProperties(_ref, _excluded);

    var positionedClasses = (0, _usePositionedStyles.usePositionedStyles)(
        _objectSpread(
            {
                position: position,
                padding: padding,
                isLinkActive: isLinkActive,
                colorOnHover: colorOnHover
            },
            props
        )
    );
    var mainChild = getFirstChild(children);
    var restOfChildren = getRestOfChildren(children);
    return /*#__PURE__*/ _react.default.createElement(
        _LinkWrapper.default,
        _extends(
            {
                onClick: onClick,
                className: (0, _clsx.default)(positionedClasses.positioned, className)
            },
            props
        ),
        /*#__PURE__*/ _react.default.createElement(
            'span',
            {
                className: positionedClasses.mainChild
            },
            mainChild && mainChild
        ),
        restOfChildren && restOfChildren
    );
};

PositionedLink.propTypes = {
    onClick: _propTypes.default.func,
    positionedProps: _propTypes.default.object,
    linkWrapperProps: _propTypes.default.object,
    children: _propTypes.default.node,
    position: _propTypes.default.string,
    padding: _propTypes.default.number,
    isLinkActive: _propTypes.default.bool,
    className: _propTypes.default.string,
    colorOnHover: _propTypes.default.string
};
PositionedLink.defaultProps = {
    onClick: function onClick() {},
    positionedProps: {},
    linkWrapperProps: {},
    children: [],
    position: 'right',
    padding: 0
};
var _default = PositionedLink;
exports.default = _default;
