'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _colorManipulator = require('@material-ui/core/styles/colorManipulator');

var _makeStyles = _interopRequireDefault(require('@material-ui/styles/makeStyles'));

var _List = _interopRequireDefault(require('../List'));

var _SiteHeader$propTypes;

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

var useStyles = (0, _makeStyles.default)(function (_ref) {
    var text = _ref.palette.text;
    return {
        header: function header(_ref2) {
            var shouldBeVisible = _ref2.shouldBeVisible,
                primary = _ref2.primary,
                isOpen = _ref2.isOpen;
            return {
                position: 'fixed',
                top: 0,
                width: '100%',
                height: 95,
                zIndex: 6000,
                overflow: 'hidden',
                padding: '25px 55px',
                boxSizing: 'border-box',
                backgroundColor:
                    shouldBeVisible || isOpen
                        ? ''.concat((0, _colorManipulator.alpha)(primary ? text.primary : text.secondary, 0.96))
                        : 'rgba(0, 0, 0, 0)',
                transition: 'height 1s ease, background 1s ease'
            };
        },
        menu: {
            display: 'flex',
            flexDirection: 'row',
            justifyContent: 'space-between',
            alignItems: 'flex-start'
        },
        isOpen: function isOpen() {
            return {
                height: '100%'
            };
        }
    };
});

var SiteHeader = function SiteHeader(_ref3) {
    var leftNodes = _ref3.leftNodes,
        rightNodes = _ref3.rightNodes,
        isOpen = _ref3.isOpen,
        primary = _ref3.primary,
        shouldBeVisible = _ref3.shouldBeVisible,
        children = _ref3.children;
    var classes = useStyles({
        shouldBeVisible: shouldBeVisible,
        primary: primary,
        isOpen: isOpen
    });
    return /*#__PURE__*/ _react.default.createElement(
        'div',
        {
            className: (0, _clsx.default)(classes.header, isOpen && classes.isOpen)
        },
        /*#__PURE__*/ _react.default.createElement(
            'div',
            {
                className: classes.menu
            },
            /*#__PURE__*/ _react.default.createElement(
                _List.default,
                {
                    vertical: false
                },
                leftNodes
            ),
            /*#__PURE__*/ _react.default.createElement(
                _List.default,
                {
                    vertical: false
                },
                rightNodes
            )
        ),
        children
    );
};

SiteHeader.propTypes =
    ((_SiteHeader$propTypes = {
        shouldBeVisible: _propTypes.default.node
    }),
    _defineProperty(_SiteHeader$propTypes, 'shouldBeVisible', _propTypes.default.bool),
    _defineProperty(_SiteHeader$propTypes, 'primary', _propTypes.default.bool),
    _defineProperty(_SiteHeader$propTypes, 'leftNodes', _propTypes.default.arrayOf(_propTypes.default.node)),
    _defineProperty(_SiteHeader$propTypes, 'rightNodes', _propTypes.default.arrayOf(_propTypes.default.node)),
    _SiteHeader$propTypes);
SiteHeader.defaultProps = {
    shouldBeVisible: true,
    primary: true,
    leftNodes: [],
    rightNodes: []
};
var _default = SiteHeader;
exports.default = _default;
