'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.usePositionedStyles = void 0;

var _styles = require('@material-ui/styles');

var _excluded = ['position', 'padding'];

function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function (sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}

function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};
        if (i % 2) {
            ownKeys(Object(source), true).forEach(function (key) {
                _defineProperty(target, key, source[key]);
            });
        } else if (Object.getOwnPropertyDescriptors) {
            Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
            ownKeys(Object(source)).forEach(function (key) {
                Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
            });
        }
    }
    return target;
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
        obj[key] = value;
    }
    return obj;
}

function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
        for (i = 0; i < sourceSymbolKeys.length; i++) {
            key = sourceSymbolKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        target[key] = source[key];
    }
    return target;
}

var getFlexDirection = function getFlexDirection(position) {
    switch (position) {
        case 'right':
            return 'row';

        case 'left':
            return 'row-reverse';

        case 'top':
            return 'column-reverse';

        case 'bottom':
            return 'column';

        default:
            return 'row';
    }
};

var usePositionedStyles = (0, _styles.makeStyles)(function () {
    return {
        positioned: function positioned(_ref) {
            var position = _ref.position,
                padding = _ref.padding,
                props = _objectWithoutProperties(_ref, _excluded);

            return _objectSpread(
                {
                    display: 'inline-flex',
                    flexDirection: getFlexDirection(position),
                    justifyContent: 'center',
                    alignItems: 'center'
                },
                props
            );
        },
        mainChild: function mainChild(_ref2) {
            var position = _ref2.position,
                padding = _ref2.padding;
            return {
                paddingRight: position === 'right' ? padding : 0,
                paddingLeft: position === 'left' ? padding : 0,
                paddingTop: position === 'top' ? padding : 0,
                paddingBottom: position === 'bottom' ? padding : 0
            };
        },
        restOfChildren: {}
    };
});
exports.usePositionedStyles = usePositionedStyles;
